Skip to main content
GET
Retrieve Sites that belong to a Company

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

Accept-Language
string
default:en

The Accept-Language request HTTP header indicates the natural language and locale that the client prefers.

Example:

"en"

Path Parameters

company-id
string
required

Company ID

Query Parameters

page[limit]
integer<int32>
default:25

The maximum number of paginated results to return

Required range: x <= 100
page[after]
string

The cursor to start paginating after

page[before]
string

The cursor to stop paginating at

filter[department_ids]
array

The associated Department IDs. Use 'none' to filter for records without a Department.

filter[site_types]
array

SiteType enum filters (see SiteType enum for the list of values)

filter[shared]
boolean

Filter shared CompanyShareable models

filter[sender_company_ids]
array

The associated Sender Company IDs

Response

OK

data
Site-Read · object[]
required